Bug 482771 - Removing a package from a custom errata does not remove the package entries from errata
Removing a package from a custom errata does not remove the package entries f...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
John Matthews
: Triaged
Depends On:
Blocks: 456985
  Show dependency treegraph
 
Reported: 2009-01-27 18:58 EST by Justin Sherrill
Modified: 2009-09-10 16:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 16:32:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2009-01-27 18:58:11 EST
1.  Publish a custom errata to a channel with at least one package
2.  Go to the errata details page -> Packages:  https://test02-vmx.rhndev.redhat.com/rhn/errata/details/Packages.do?eid=18834
3.  Manage the erratum and remove a package:  https://test02-vmx.rhndev.redhat.com/rhn/errata/manage/ListPackages.do?eid=18834
4.  Observe that the removed package is still listed.


It should remove these entries
Comment 1 Clifford Perry 2009-01-29 12:53:42 EST
Justin - do you have to do some sort of re-publish of Errata? 

Thinking of how in hosted what we do when an Errata has to change its details such as packages and been shown live? 


Cliff
Comment 2 Justin Sherrill 2009-02-03 12:25:38 EST
There isn't a way to 'republish' that I know of (short of removing the errata from a channel and then adding it back).  

Justin
Comment 3 Justin Sherrill 2009-03-16 16:22:43 EDT
commit	a9118675afb7607e3827edd5cfd703660e2b7a3d

tree	9ad656a3647f5cb37edb95ea8718ae6dc9d45232	tree | snapshot

parent	7f9e8959afe49a183ed08a3be8441c9de8bebcd6	commit | diff
Comment 4 John Matthews 2009-04-20 14:36:16 EDT
Verified
ISO: Satellite-5.3.0-RHEL5-re20090413.0-i386-embedded-oracle.iso

followed steps in description
Comment 5 Petr Sklenar 2009-08-27 08:20:46 EDT
Verified again on Satellite-5.3.0-RHEL5-re20090820.1
1. created errata TEST with one package, look at package list in Errata

Packages
psklenar-test
773ce6deb038ebd3673e160dbb56e63c testAutoFile-2-1.0:0-i386

2. 
Manage Errata > Test > Package > Remove testAutoFile-2-1.0:0-i386

3. Errata > Test > Look at package list
psklenar-test
(none) 

Switching to RELEASE_PENDING
Comment 6 Brandon Perkins 2009-09-10 16:32:15 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.